<?php

$province = function()
{
	$array = array();
	$data = Dever::load('area/province-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

$level = function()
{
	$array = array
	(
		1000 => array
		(
			'id' => 1000,
			'name' => '普通城市',
		),
	);
	$data = Dever::load('area/level-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

$status = array
(
	1 => '未占用',
	2 => '已占用',
);

return array
(
	# 表名
	'name' => 'city',
	# 显示给用户看的名称
	'lang' => '城市',
	# 是否显示在后台菜单
	'order' => 80,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '城市名称',
			'default' 	=> '',
			'desc' 		=> '城市名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '拼音',
			'default' 	=> '',
			'desc' 		=> '拼音',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin_first'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '拼音首字母',
			'default' 	=> '',
			'desc' 		=> '拼音首字母',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'province_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '省份',
			'default' 	=> '0',
			'desc' 		=> '省份',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $province,
			'list'		=> true,
		),

		'level_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '城市等级',
			'default' 	=> '1000',
			'desc' 		=> '城市等级',
			'match' 	=> 'is_numeric',
			'search'	=> 'select',
			'update'	=> 'select',
			'option'	=> $level,
			'list'		=> true,
			'edit'		=> true,
		),

		'price'      => array
        (
            'type'      => 'varchar-15',
            'name'      => '城市价值-城市代理价格，以万为单位，负数表示继承城市等级里的价值规则',
            'default'   => '-1',
            'desc'      => '城市价值',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'      => true,
            'edit'		=> true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'edit'		=> true,
			'search'	=> 'select',
			'option'	=> $status,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'excel' => array
	    (
	        array('数据导出', '城市列表', 'area/lib/manage.outCity'),
	    ),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'province_id' => 'yes',
				'level_id' => array('yes', '<'),
				'price' => array('yes', '>'),
				'noid' => array('yes-id', 'not in'),
				'no_level_id' => array('yes-level_id', 'not in'), 
				'status' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id,id as value, name, pinyin, pinyin_first',
		),

		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'province_id' => 'yes',
				'level_id' => array('yes', '<'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id, name, pinyin, pinyin_first|id',
		),

		'getOne' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'name' => array('yes', 'like'),
				'province_id' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'col' => '*',
		),

		'getDatas' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'name' => array('yes', 'like'),
				'province_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'col' => '*',
		),

		'updateLevel' => array
		(
			'where' => array
			(
				'level_id' => 'yes',
			),
			'set' => array
			(
				'level_id' => 'yes',
			),
			'type' => 'update',
		),

		'getLike' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'province_id' => 'yes',
				'name' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'one',
			'col' => '*',
		),
	)
);
