<?php

$info = Dever::load('manage/project.get');

$path = $info['area']['setup'];

$status = array
(
	1 => '可以售卖',
	2 => '不可售卖',
);

return array
(
	# 表名
	'name' => 'province',
	# 显示给用户看的名称
	'lang' => '省份',
	# 是否显示在后台菜单
	'order' => 90,
	'desc' => '导入数据请访问：' . Dever::url('area/import.load') . '<br />或者在服务器执行（推荐）：php '.$path.'daemon/import.php <br />数据来源：' . Dever::load('area/import')->getUrl(),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '省份名称',
			'default' 	=> '',
			'desc' 		=> '省份名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '拼音',
			'default' 	=> '',
			'desc' 		=> '拼音',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin_first'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '拼音首字母',
			'default' 	=> '',
			'desc' 		=> '拼音首字母',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'edit'		=> true,
			'search'	=> 'select',
			'option'	=> $status,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'excel' => array
	    (
	        array('数据导出', '省份列表', 'area/lib/manage.outProvince'),
	    ),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'noid' => array('yes-id', 'not in'),
				'status' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id,id as value, name, pinyin, pinyin_first',
		),

		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'noid' => array('yes-id', 'not in'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id, name, pinyin, pinyin_first',
		),

		'getLike' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'name' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'one',
			'col' => '*',
		),
	)
);
