<?php

$county = function()
{
	$array = array();
	$data = Dever::load('area/county-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

$type = array
(
	1 => '普通街镇',
	2 => '国家镇级市',
	3 => '超级街道',
);

$status = array
(
	1 => '未占用',
	2 => '已占用',
);

return array
(
	# 表名
	'name' => 'town',
	# 显示给用户看的名称
	'lang' => '街镇',
	# 是否显示在后台菜单
	'order' => 60,
	'end' => array
    (
        'insert' => 'area/lib/manage.up',
        'update' => 'area/lib/manage.up',
    ),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'bigint-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
			'update'	=> 'text',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '街道名称',
			'default' 	=> '',
			'desc' 		=> '街道名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '拼音',
			'default' 	=> '',
			'desc' 		=> '拼音',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin_first'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '拼音首字母',
			'default' 	=> '',
			'desc' 		=> '拼音首字母',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'area'       => array
        (
            'type'      => 'varchar-500',
            'name'      => '所在区县',
            'default'   => '',
            'desc'      => '所在区县',
            'match'     => 'option',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get?level_total=3', 'area'),
            'list'      => 'Dever::load("area/api.string", "{area}")',
        ),

		'province_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '省份',
			'default' 	=> '0',
			'desc' 		=> '省份',
			'match' 	=> 'is_numeric',
			//'list'		=> 'Dever::load("area/province-find#name", {province_id})',
		),

		'city_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '城市',
			'default' 	=> '0',
			'desc' 		=> '城市',
			'match' 	=> 'is_numeric',
			//'list'		=> 'Dever::load("area/city-find#name", {city_id})',
		),

		'county_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '区县',
			'default' 	=> '0',
			'desc' 		=> '区县',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'option'	=> $county,
			//'list'		=> true,
		),

		'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '街镇类型',
            'default'   => '1',
            'desc'      => '街镇类型',
            'match'     => 'is_numeric',
            'update'  	=> 'radio',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
            'edit'		=> true,
        ),

        'price'      => array
        (
            'type'      => 'varchar-15',
            'name'      => '街道价值-街道代理价格，以万为单位，负数表示继承城市等级里的价值规则',
            'default'   => '-1',
            'desc'      => '街道价值',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'      => true,
            'edit'		=> true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'edit'		=> true,
			'search'	=> 'select',
			'option'	=> $status,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'excel' => array
	    (
	        array('数据导出', '街道列表', 'area/lib/manage.outTown'),
	    ),
	),

	'request' => array
	(
		'getTotal' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'county_id' => 'yes',
				'type' => array('yes', '>'),
				'state' => 1,
			),
			'type' => 'count',
			'col' => '*',
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'county_id' => 'yes',
				'type' => array('yes', '>'),
				'price' => array('yes', '>'),
				'noid' => array('yes-id', 'not in'),
				'status' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id as value, name, pinyin, pinyin_first',
		),

		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'county_id' => 'yes',
				'type' => array('yes', '>'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id, name, pinyin, pinyin_first|id',
		),

		'getLike' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'county_id' => 'yes',
				'name' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'one',
			'col' => '*',
		),
	)
);
