<?php

$town = function()
{
	$array = array();
	$data = Dever::load('area/town-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'village',
	# 显示给用户看的名称
	'lang' => '社区',
	# 是否显示在后台菜单
	'order' => 50,
	'menu' => false,
	'end' => array
    (
        'insert' => 'area/lib/manage.up',
        'update' => 'area/lib/manage.up',
    ),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'bigint-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '社区名称',
			'default' 	=> '',
			'desc' 		=> '社区名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '拼音',
			'default' 	=> '',
			'desc' 		=> '拼音',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pinyin_first'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '拼音首字母',
			'default' 	=> '',
			'desc' 		=> '拼音首字母',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '城乡分类代码',
			'default' 	=> '',
			'desc' 		=> '城乡分类代码',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'area'       => array
        (
            'type'      => 'varchar-500',
            'name'      => '所在街道',
            'default'   => '',
            'desc'      => '所在街道',
            'match'     => 'option',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get?level_total=4', 'area'),
            'list'      => 'Dever::load("area/api.string", "{area}")',
        ),

		'province_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '省份',
			'default' 	=> '0',
			'desc' 		=> '省份',
			'match' 	=> 'is_numeric',
			//'list'		=> 'Dever::load("area/province-find#name", {province_id})',
		),

		'city_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '城市',
			'default' 	=> '0',
			'desc' 		=> '城市',
			'match' 	=> 'is_numeric',
			//'list'		=> 'Dever::load("area/city-find#name", {city_id})',
		),

		'county_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '区县',
			'default' 	=> '0',
			'desc' 		=> '区县',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'option'	=> $county,
			//'list'		=> true,
		),

		'town_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '街道',
			'default' 	=> '0',
			'desc' 		=> '街道',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'option'	=> $town,
			//'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'town_id' => 'yes',
				'noid' => array('yes-id', 'not in'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id as value, name, pinyin, pinyin_first',
		),

		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'town_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pinyin_first' => 'asc', 'reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id, name, pinyin, pinyin_first|id',
		),
	)
);
